Loading...
Searching...
No Matches
_xmlXPathContext Struct Reference

Expression evaluation occurs with respect to a context. More...

`#include <xpath.h>`

## Data Fields

xmlDoc * | doc
| The current document.
xmlNode * | node
| The current node.
int | contextSize
| the context size
int | proximityPosition
| the proximity position
int | flags
| flags to control compilation

## Detailed Description

Expression evaluation occurs with respect to a context.

he context consists of:

- a node (the context node)
- a node list (the context node list)
- a set of variable bindings
- a function library
- the set of namespace declarations in scope for the expression Following the switch to hash tables, this need to be trimmed up at the next binary incompatible release. The node may be modified when the context is passed to libxml2 for an XPath evaluation so you may need to initialize it again before the next call.

The documentation for this struct was generated from the following file:

- xpath.h